#
# spec file for package python3-vcversioner
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-vcversioner
Version:        2.14.0.0
Release:        6.1
Summary:        Use version control tags to discover version numbers
License:        ISC
Group:          Development/Languages/Python
Url:            https://github.com/habnabit/vcversioner
Source:         https://pypi.python.org/packages/source/v/vcversioner/vcversioner-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Elevator pitch: you can write a "setup.py" with no version information
specified, and vcversioner will find a recent, properly-formatted VCS tag and
extract a version from it.

It's much more convenient to be able to use your version control system's
tagging mechanism to derive a version number than to have to duplicate that
information all over the place. I eventually ended up copy-pasting the same
code into a couple different "setup.py" files just to avoid duplicating
version information. But, copy-pasting is dumb and unit testing "setup.py"
files is hard. This code got factored out into vcversioner.

%prep
%setup -q -n vcversioner-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst

%changelog
* Sat Jun  6 2015 arun@gmx.de
- initial version
